Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.domain.solution
Class SolutionDescriptor

    java.lang.Object
      org.optaplanner.core.impl.domain.solution.SolutionDescriptor

    public class SolutionDescriptor

extends Object

Constructor Summary
`SolutionDescriptor(Class<? extends Solution> solutionClass)`

Method Summary
`void` | `addPlanningEntityDescriptor(PlanningEntityDescriptor planningEntityDescriptor)`
`int` | `countUninitializedVariables(Solution solution)`
`Collection<Object>` | `getAllFacts(Solution solution)`
`Collection<PlanningVariableDescriptor>` | `getChainedVariableDescriptors()`
`Map<String,PropertyAccessor>` | `getEntityCollectionPropertyAccessorMap()`
`int` | `getEntityCount(Solution solution)`
`List<Object>` | `getEntityList(Solution solution)`
`List<Object>` | `getEntityListByPlanningEntityClass(Solution solution, Class<?> planningEntityClass)`
`Map<String,PropertyAccessor>` | `getEntityPropertyAccessorMap()`
`Set<Class<?>>` | `getPlanningEntityClassSet()`
`PlanningEntityDescriptor` | `getPlanningEntityDescriptor(Class<?> planningEntitySubclass)`
`Collection<PlanningEntityDescriptor>` | `getPlanningEntityDescriptors()`
`PlanningEntityDescriptor` | `getPlanningEntityDescriptorStrict(Class<?> planningEntityClass)`
`long` | `getProblemScale(Solution solution)` Calculates an indication on how big this problem instance is.
`PropertyAccessor` | `getPropertyAccessor(String propertyName)`
`Class<? extends Solution>` | `getSolutionClass()`
`SolutionCloner` | `getSolutionCloner()`
`int` | `getValueCount(Solution solution)`
`boolean` | `hasPlanningEntityDescriptor(Class<?> entitySubclass)`
`boolean` | `hasPlanningEntityDescriptorStrict(Class<?> planningEntityClass)`
`boolean` | `isInitialized(Solution solution)`
`void` | `processAnnotations()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SolutionDescriptor

    public SolutionDescriptor(Class<? extends Solution> solutionClass)

Method Detail

### processAnnotations

    public void processAnnotations()

### addPlanningEntityDescriptor

    public void addPlanningEntityDescriptor(PlanningEntityDescriptor planningEntityDescriptor)

### getSolutionClass

    public Class<? extends Solution> getSolutionClass()

### getSolutionCloner

    public SolutionCloner getSolutionCloner()

### getEntityPropertyAccessorMap

    public Map<String,PropertyAccessor> getEntityPropertyAccessorMap()

### getEntityCollectionPropertyAccessorMap

    public Map<String,PropertyAccessor> getEntityCollectionPropertyAccessorMap()

### getPropertyAccessor

    public PropertyAccessor getPropertyAccessor(String propertyName)

### getPlanningEntityClassSet

    public Set<Class<?>> getPlanningEntityClassSet()

### getPlanningEntityDescriptors

    public Collection<PlanningEntityDescriptor> getPlanningEntityDescriptors()

### hasPlanningEntityDescriptorStrict

    public boolean hasPlanningEntityDescriptorStrict(Class<?> planningEntityClass)

### getPlanningEntityDescriptorStrict

    public PlanningEntityDescriptor getPlanningEntityDescriptorStrict(Class<?> planningEntityClass)

### hasPlanningEntityDescriptor

    public boolean hasPlanningEntityDescriptor(Class<?> entitySubclass)

### getPlanningEntityDescriptor

    public PlanningEntityDescriptor getPlanningEntityDescriptor(Class<?> planningEntitySubclass)

### getChainedVariableDescriptors

    public Collection<PlanningVariableDescriptor> getChainedVariableDescriptors()

### getAllFacts

    public Collection<Object> getAllFacts(Solution solution)

### getEntityCount

    public int getEntityCount(Solution solution)

  Parameters:
    `solution` - never null
  Returns:
    >= 0

### getEntityList

    public List<Object> getEntityList(Solution solution)

### getEntityListByPlanningEntityClass

    public List<Object> getEntityListByPlanningEntityClass(Solution solution,
                                                           Class<?> planningEntityClass)

### getValueCount

    public int getValueCount(Solution solution)

  Parameters:
    `solution` - never null
  Returns:
    >= 0

### getProblemScale

    public long getProblemScale(Solution solution)

  Calculates an indication on how big this problem instance is. This is intentionally very loosely defined for now.

  Parameters:
    `solution` - never null
  Returns:
    >= 0

### countUninitializedVariables

    public int countUninitializedVariables(Solution solution)

### isInitialized

    public boolean isInitialized(Solution solution)

  Parameters:
    `solution` - never null
  Returns:
    true if all the planning entities are initialized

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.